org.jgroups.protocols

## Class Locking.Request

- java.lang.Object
- - org.jgroups.protocols.Locking.Request

- All Implemented Interfaces:
    Streamable
  Enclosing class:
    Locking

      protected static class Locking.Request
      extends java.lang.Object
      implements Streamable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `is_trylock`
    `protected java.lang.String` | `lock_name`
    `protected Owner` | `owner`
    `protected long` | `timeout`
    `protected Locking.Type` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Locking.Request()`
    `Locking.Request(Locking.Type type, java.lang.String lock_name, Owner owner, long timeout)`
    `Locking.Request(Locking.Type type, java.lang.String lock_name, Owner owner, long timeout, boolean is_trylock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `java.lang.String` | `toString()`
    `java.lang.String` | `toStringShort()`
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected Locking.Type type

    - #### lock_name

          protected java.lang.String lock_name

    - #### owner

          protected Owner owner

    - #### timeout

          protected long timeout

    - #### is_trylock

          protected boolean is_trylock

  - ### Constructor Detail

    - #### Locking.Request

          public Locking.Request()

    - #### Locking.Request

          public Locking.Request(Locking.Type type,
                         java.lang.String lock_name,
                         Owner owner,
                         long timeout)

    - #### Locking.Request

          public Locking.Request(Locking.Type type,
                         java.lang.String lock_name,
                         Owner owner,
                         long timeout,
                         boolean is_trylock)

  - ### Method Detail

    - #### writeTo

          public void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Description copied from interface: `Streamable`
      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Specified by:
        `writeTo` in interface `Streamable`
      Throws:
        `java.io.IOException`

    - #### readFrom

          public void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Description copied from interface: `Streamable`
      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Specified by:
        `readFrom` in interface `Streamable`
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toStringShort

          public java.lang.String toStringShort()

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.